> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/zec/byo-asn/describeusablebyoasns.md).

# DescribeUsableByoAsns

## 1. 接口描述

本接口(DescribeUsableByoAsns)用于返回可作为BYOIP起源ASN使用的ASN号列表。

{% hint style="info" %}
**注意事项**

* 本接口供创建BYOIP时选择起源ASN使用。需要查看自助接入的ASN及其验证状态、资源组、标签时，调用 [DescribeByoAsns](/api-reference/cn/zec/byo-asn/describebyoasns.md)。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

无

## 3. 响应结果

| 参数名称      | 类型               | 描述                                                                    |
| --------- | ---------------- | --------------------------------------------------------------------- |
| requestId | String           | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p>              |
| asns      | Array of Integer | <p>可作为BYOIP起源ASN使用的ASN号列表。</p><p>包含已通过归属验证的自带ASN，以及线下已授权给该账号的ASN。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询可用于创建BYOIP的ASN列表。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeUsableByoAsns
<Common Request Params>

Request：
{
}

Response：
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "asns": [12340, 59798]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
